<script>
  export default {
    created() {
      if (sessionStorage.getItem('agr_cloud_store')) {
        this.$store.replaceState(Object.assign({}, this.$store.state, JSON.parse(sessionStorage.getItem('agr_cloud_store'))));
      }
      window.addEventListener('beforeunload', () => {
        sessionStorage.setItem('agr_cloud_store', JSON.stringify(this.$store.state));
      });
    },
    onLaunch: function() {
      console.log('App Launch')
    },
    onShow: function() {
      console.log('App Show')
    },
    onHide: function() {
      console.log('App Hide')
    }
  }
</script>

<style lang="scss">
  @import "uview-ui/index.scss";
  /*每个页面公共css */
  @import url("static/agrcloud-css/common.scss");
</style>
